/*
 *  An example of using the uk.ac.sanger.pathogens.embl classes.
 *  This program will read a sequence file or EMBL/GENBANK entry and save it
 *  as a GENBANK entry.
 */

import uk.ac.sanger.pathogens.embl.*;
import uk.ac.sanger.pathogens.*;

import java.io.*;
import java.util.Vector;

public class TestEntry {
  static public void main (String [] args) {
    try {
      InputStream feature_keys_stream = new FileInputStream ("feature_keys");

      InputStream qualifier_types_stream = new FileInputStream ("qualifier_types");

      EntryInformation.initialise (feature_keys_stream, qualifier_types_stream,
                                   null, null);
    } catch (IOException e) {
      System.out.println ("could not initialise the embl package: " + e);
      System.exit (1);
    } catch (QualifierInfoException e) {
      System.out.println ("could not initialise the embl package: " + e);
      System.exit (1);
    }

    String file_name = args[0];

    try {

      File file = new File (file_name);

      Document file_document = new FileDocument (file);

      DocumentEntry embl_entry =
        DocumentEntryFactory.makeDocumentEntry (file_document);

      DocumentEntry new_entry =
        DocumentEntryFactory.makeDocumentEntry (embl_entry,
                                                DocumentEntryFactory.GENBANK_FORMAT);

      File new_file = new File (file_name + ".new");
      
      new_entry.save (new FileDocument (new_file), false);
    } catch (Exception e) {
      System.out.println (args[0] + ": " + e);
    }

    System.exit (0);
  }
}
