/* InvalidRelationException.java
 *
 * created: Fri Jan  1 1999
 *
 * This file is part of Artemis
 * 
 * Copyright (C) 1998,1999  Genome Research Limited
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Header: /nfs/disk222/yeastpub/Repository/powmap/uk/ac/sanger/pathogens/embl/InvalidRelationException.java,v 1.1 1999/05/11 15:19:51 kmr Exp $
 */

package uk.ac.sanger.pathogens.embl;

/**
 *  This exception is thrown when an inappropriate Qualifier is added to or
 *  accessed in a Feature.  For example adding a /codon_start qualifier to a
 *  misc_feature Feature.
 *
 *  @author Kim Rutherford
 *  @version $Id: InvalidRelationException.java,v 1.1 1999/05/11 15:19:51 kmr Exp $
 **/

public class InvalidRelationException extends Exception {
  /**
   *  Create a new InvalidRelationException object with the given String as
   *  the message.
   *  @param message the detail message
   **/
  public InvalidRelationException (String message) {
    super (message);
  }
}


